#!/usr/bin/env python
"""
 designed to turn off wifi in evening to enable it being turned on no matter
 the power state for remote testing and then turning off at a resonable time
 will run until next change state, but is harmless
"""
from datetime import time, timedelta
from sys import path
path.append("/home/glacsweb/python")

from iceCape import iceCape, WIFI_1, WIFI_2, WIFI_PA
from MspJob import J_P_PCONOFF, J_P_GumstixPCON_OFF
from gwlogging import logger

gum = iceCape()
gum.add_job(J_P_PCONOFF,
        time(hour=20),
        timedelta(days=1),
        None,
        WIFI_1 + WIFI_2 + WIFI_PA,
        0)
logger.info("Wifi off programmed")

gum.add_job(J_P_GumstixPCON_OFF,
        time(hour=20),
        timedelta(days=1),
        None,
        None,
        None)
logger.info("gum off programmed")
